'use strict';

app.controller('twitterController',
    ['$scope', '$rootScope', '$log', '$location', 'genericServiceInvoker', 'sharedDataService', 'eventService',
        function ($scope, $rootScope, $log, $location, $genericServiceInvoker, $sharedDataService, $eventService) {

            $log.debug("twitterController");
            
            $scope.codesets = $sharedDataService.getEventDetail().codesets;
            $scope.twitterhandle = "";
            $scope.twitterhandleURL = "";
            $scope.twitterwidgetID = "";

            for (var i = 0; i < $scope.codesets.length; i++) {
                if ($scope.codesets[i].codesetname == "twitter.handle") {
                    $scope.twitterhandle = $scope.codesets[i].value;
                }
                if ($scope.codesets[i].codesetname == "twitter.handleURL") {
                    $scope.twitterhandleURL = $scope.codesets[i].value;
                }
                if ($scope.codesets[i].codesetname == "twitter.widgetID") {
                    $scope.twitterwidgetID = $scope.codesets[i].value;
                }
            }
        }]);