'use strict';

app.factory('attendeeService',
    ['$http', '$rootScope', '$log', 'PROPERTIES', 'sharedDataService', 'genericServiceInvoker',
        function ($http, $rootScope, $log, PROPERTIES, sharedDataService, $genericServiceInvoker) {

            var service = {};

            service.register = function (request, callback) {
                $genericServiceInvoker.invokeWithObject("attendee/register", request, callback);
            };

            service.save = function (request, callback) {
                $genericServiceInvoker.invokeWithObject("attendee/update", request, callback);
            };

            service.forgottenPin = function (request, callback) {
                $genericServiceInvoker.invokeWithObject("attendee/forgottenPin", request, callback);
            };

            service.openNetwork = function (callback) {
                $genericServiceInvoker.invoke("attendee/openNetwork/" + +PROPERTIES.applicationId, callback);
            };

            return service;
        }]);