'use strict';

app.factory('friendService',
    ['$http', '$rootScope', '$log', 'PROPERTIES', 'sharedDataService', 'genericServiceInvoker',
        function ($http, $rootScope, $log, PROPERTIES, sharedDataService, $genericServiceInvoker) {

            var service = {};

            service.getForEvent = function (eventId, attendeeId, callback) {
                $genericServiceInvoker.invoke("friend/event/" + eventId + "/attendee/" + attendeeId, callback);
            };

            service.getAll = function (attendeeId, callback) {
                $genericServiceInvoker.invoke("friend/attendee/" + attendeeId, callback);
            };

            service.makeFriend = function (friendRequest, callback) {
                $genericServiceInvoker.invokeWithObject("friend/make", friendRequest, callback);
            };

            return service;
        }]);