'use strict';

app.factory('sessionService',
    ['$http', '$rootScope', '$log', 'PROPERTIES', 'sharedDataService', 'genericServiceInvoker',
        function ($http, $rootScope, $log, PROPERTIES, sharedDataService, $genericServiceInvoker) {

            var service = {};

            service.getMySessions = function (eventId, attendeeId, callback) {
                $genericServiceInvoker.invoke("session/mine/" + eventId + "/attendee/" + attendeeId, callback);
            };

            service.getEventSessions = function (eventId, attendeeId, callback) {
                $genericServiceInvoker.invoke("session/event/" + eventId + "/attendee/" + attendeeId, callback);
            };

            return service;
        }]);