'use strict';

app.controller('feedController',
    ['$scope', '$rootScope', '$log', '$location', 'sharedDataService', '$routeParams', '$filter',
        function ($scope, $rootScope, $log, $location, $sharedDataService, $routeParams, $filter) {

            $log.debug("feedController");

            $rootScope.bg = '';

            $scope.feedName = $routeParams.feedName;
            $scope.feedRefresh = "false";
            if ($scope.feedName == "Livefeed") {
                $scope.feedRefresh = "true";
            }
            $scope.feedURLs = $sharedDataService.getFeedURL($routeParams.feedName).split(';');
            $scope.feedTemplate = $sharedDataService.getFeedTemplate($routeParams.feedName);

            if ($scope.feedURLs.length > 1) {
                $scope.subHeading = "true";
            }

            $scope.getFeedName = function (feedURL) {
                
                var names = feedURL.split('/');
                var found = 0;
                for (var i = 0; i < names.length; i++) {
                    if (names[i] == 'category') {
                        found = i + 1;
                    }
                }
                return $filter('titlecase')(names[found].replace('-', ' '));
            }
        }]);