'use strict';

app.controller('openNetworkController', function ($scope, $uibModalInstance, $log, PROPERTIES, attendeeService, sharedDataService) {

    $log.debug("openNetworkController");
    $scope.profile = sharedDataService.getUser();
    $scope.tcURL = PROPERTIES.termsURL;
    $scope.privacyURL = PROPERTIES.privacyURL;

    $log.debug($scope.profile);

    $scope.ok = function () {
        $uibModalInstance.close();
    };

    $scope.updateDetails = function () {
        attendeeService.save($scope.profile, function (success, response) {
            $log.debug(response);
            if (success) {
                sharedDataService.setUser(response);
            }
        });
    };

    $scope.cancel = function () {
        $scope.updateDetails();
        $uibModalInstance.dismiss('cancel');
    };
});