'use strict';

app.controller('tableplanController',
    ['$scope', '$rootScope', '$log', '$location', 'genericServiceInvoker', 'sharedDataService', 'eventService',
        function ($scope, $rootScope, $log, $location, $genericServiceInvoker, $sharedDataService, $eventService) {

            $log.debug("tableplanController");
            
            $scope.tableLayout = $sharedDataService.getEventDetail().tablePlans;
            $scope.uniqueCompanyName = [];

            // Loop thru the tableLayout list and get the unique company names and add to the uniqueCompanyName list
            for (var i = 0; i < $scope.tableLayout.length; i++) {
                if (!containsObject($scope.tableLayout[i], 'companyName', $scope.uniqueCompanyName)) {
                    $scope.uniqueCompanyName.push($scope.tableLayout[i]);
                }
            }

            $scope.showTablesForCompany = function () {
                $log.debug($scope.selectedCompany);
                
                for (var i = 0; i < 74; i++) {
                    var name = "table" + i;
                    $scope[name] = false;
                }
                
                for (var i = 0; i < $scope.tableLayout.length; i++) {
                    if ($scope.tableLayout[i].companyName == $scope.selectedCompany) {
                        // Set this table number as activated
                        var name = "table" + $scope.tableLayout[i].tableNumber;
                        $scope[name] = true;
                    }
                }
            }

        }]);