'use strict';

app.factory('eventService',
    ['$http', '$rootScope', '$log', 'PROPERTIES', 'genericServiceInvoker',
        function ($http, $rootScope, $log, PROPERTIES, $genericServiceInvoker) {

            var service = {};

            service.getEvents = function (callback) {
                $genericServiceInvoker.invoke("event/application/" + PROPERTIES.applicationId, callback);
            };

            service.getEvent = function (eventId, attendeeId, callback) {
                $genericServiceInvoker.invoke("event/" + eventId + "/attendee/" + attendeeId, callback);
            };

            return service;
        }]);